#!/bin/bash
tbasepath=$(cd `dirname $0`; pwd -P)
version=$(cat $tbasepath/version)
basepath=$tbasepath/..

# https://repo1.maven.org/maven2/org/junit/platform/junit-platform-console-standalone/1.9.1/junit-platform-console-standalone-1.9.1.jar
# 运行前，需要将上面的jar包放到lib目录下（junit的依赖）
# 从上到下，分别是 bos-olap-webserver, bos-olap-dragonEngine, bos-olap-core2
java -DEnableMddOtherCpu=true -ea -cp "$basepath/$version/lib/*" org.junit.platform.console.ConsoleLauncher \
    --select-package kd.bos.olap \
    --select-package kd.bos.olapServer \
    --select-package kd.bos.olapServer2